Post Vmc Aws Deployment

Post Vmc Aws Deployment

Adds a new VMC on AWS Outposts SDDC deployment resource. The deployment will be in an uninitialized state until an operation is applied to it.

Request
URI
POST
https://{api_host}/api/inventory/{org_id}/vmc-outposts/deployments
COPY

Request Body

Initial config for deployment being added

OutpostDeployment of type(s) application/json
Required
"OutpostDeployment Object"
Responses
201

Created

Returns OutpostDeployment of type(s) application/json
"OutpostDeployment Object"

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/inventory/{org_id}/vmc-outposts/deployments